osgManipulator::CommandManager Class Reference

`#include <CommandManager>`

Inheritance diagram for osgManipulator::CommandManager:

## Public Types

typedef std::list< osg::ref_ptr< Selection > > | Selections

## Public Member Functions

| CommandManager ()
bool | connect (Dragger &dragger, Selection &selection)
bool | connect (Dragger &dragger, Constraint &constraint)
bool | disconnect (Dragger &dragger)
Selections | getConnectedSelections (Dragger &dragger)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~CommandManager ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Deprecated. CommandManager class is now no longer required as Dragger now matains all references to Constraints and Selections (now just generic MatrixTransforms). To replace CommandManager usage simple replace cmdMgr->connect(*dragger, *selection) with dragger->addTransformUpdating(selection) and cmdMgr->connect(*dragger, *selection) with dragger->addConstaint(constraint).

## Member Typedef Documentation

## Selections

typedef std::list< osg::ref_ptr<Selection> > osgManipulator::CommandManager::Selections

## Constructor & Destructor Documentation

## CommandManager()

osgManipulator::CommandManager::CommandManager | ( |  | ) |

inline

## ~CommandManager()

virtual osgManipulator::CommandManager::~CommandManager | ( |  | ) |

inline protected virtual

## Member Function Documentation

## connect() [1/2]

bool osgManipulator::CommandManager::connect | ( | Dragger & | dragger,
|  | Constraint & | constraint )

inline

References osgManipulator::Dragger::addConstraint().

## connect() [2/2]

bool osgManipulator::CommandManager::connect | ( | Dragger & | dragger,
|  | Selection & | selection )

inline

References osgManipulator::Dragger::addTransformUpdating().

## disconnect()

bool osgManipulator::CommandManager::disconnect | ( | Dragger & | dragger | ) |

inline

References osgManipulator::Dragger::getConstraints(), and osgManipulator::Dragger::getDraggerCallbacks().

## getConnectedSelections()

Selections osgManipulator::CommandManager::getConnectedSelections | ( | Dragger & | dragger | ) |

inline

References osgManipulator::Dragger::getDraggerCallbacks(), and osgManipulator::DraggerTransformCallback::getTransform().

The documentation for this class was generated from the following file:

- CommandManager